Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libindicate-qt
#Epoch:		0
Version:	0.2.4
Release:	1
License:	GNU/LGPLv2, GNU/LGPLv3
URL:		https://launchpad.net/libindicate-qt
Group:		System/Libraries
Summary:	qt bindings for libindicate
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:
BuildRequires:	libindicate-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libdbusmenu-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config
BuildRequires: qt4-devel

%description
This project provides a set of Qt bindings for libindicate, the indicator system developed by Canonical Desktop Experience team.


%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
mkdir build-i686
pushd build-i686
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build-i686
make install DESTDIR=$RPM_BUILD_ROOT
popd
# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/libindicate-qt.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libindicate-qt/qindicatedecode.h          
%{_includedir}/libindicate-qt/qindicateindicator.h       
%{_includedir}/libindicate-qt/qindicateinterest.h        
%{_includedir}/libindicate-qt/qindicatelistener.h        
%{_includedir}/libindicate-qt/qindicateserver.h          
%{_libdir}/libindicate-qt.so                             
%{_pkgconfig}/indicate-qt.pc 

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Mar 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.2.4-1
- Version update
* Mon Feb 15 2010 Karsten Brockmann <arcam@ccux-linux.de>  0.2.3-1
- initial CCux package release
